Bug 1475067 - Icons under Updates section in System Set Manager not displayed
Summary: Icons under Updates section in System Set Manager not displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 580
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
: 1483877 (view as bug list)
Depends On:
Blocks: sat58-errata
TreeView+ depends on / blocked
 
Reported: 2017-07-26 00:58 UTC by Ricardo Santamaria
Modified: 2017-09-06 12:27 UTC (History)
3 users (show)

Fixed In Version: spacewalk-java-2.5.14-93-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 12:27:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2645 normal SHIPPED_LIVE Moderate: satellite and spacewalk security and bug fix update 2017-09-06 16:26:43 UTC

Description Ricardo Santamaria 2017-07-26 00:58:10 UTC
Description of problem:

Icons under Updates section in System Set Manager not displayed

Version-Release number of selected component (if applicable):

Satellite 5.8.0.31-1.el6sat
RHEL 6.9

Steps to Reproduce:
 > "Manage" button
   > "Systems" tab

Actual results:
When using SSM to manage group of systems in Satellite 5.8 the updates column is empty. 

Expected results:
Like Satellite 5.6 and 5.7 expect the systems to show the icon under updates  column. 

Additional info:
When looking at a group with SSM icons appears:
  > "Systems" tab
    > "Systems Groups" 
      > Select system group
        > Select "Systems" tab of list systems

Comment 2 Grant Gainey 2017-07-28 20:33:23 UTC
spacewalk.github:
b1098d9f6878875b57ff8ce3ede4224c206a2ffc

Comment 5 Lukáš Hellebrandt 2017-08-17 12:16:53 UTC
Verified with spacewalk-java-2.5.14-91.

The Updates column now indeed shows an icon indicating the update status. Also, group view of systems has not been broken by the fix.

Comment 7 Grant Gainey 2017-08-22 11:54:40 UTC
Looks like this is a problem in more than one place:

===
Ales Dujicek 2017-08-22 03:54:52 EDT
Description of problem:

similar to bz1475067

Updates icons are not displayed on page
/rhn/systems/ssm/ErrataSystemsAffected.do?eid=16


How reproducible:
always

Steps to Reproduce:
1. SSM -> Errata tab -> click on number in column 'Affected'
2. empty column 'Updates'
===

Reopening this BZ to fix other SSM page(s), closing the new BZ as a dup

Comment 8 Grant Gainey 2017-08-22 11:55:11 UTC
*** Bug 1483877 has been marked as a duplicate of this bug. ***

Comment 9 Grant Gainey 2017-08-23 17:42:18 UTC
Root cause here is not the individual pages, but a change to SystemIconDecorator that happened as part of spacewalk 74ebda70d15ece4a721ce22184cf592eb104eea0

Fixing by reverting the previous commit, and fixing the actual base problem.

spacewalk.github:
4843972a168a0b5ff7c7be6c7c36263146f013a5

Comment 12 Lukáš Hellebrandt 2017-08-24 12:39:46 UTC
Verified with spacewalk-java-2.5.14-94.el6sat.

Fixed both on /rhn/systems/ssm/ListSystems.do and on /rhn/systems/ssm/ErrataSystemsAffected.do?eid=<ERRATA_ID>, the status icons are now displayed correctly.

Also checked this doesn't break functionality from commit 74ebda70d15ece4a721ce22184cf592eb104eea0 which introduced this bug; page /rhn/systems/VirtualList.do seems fine, there are no tracebacks, even in case of "placeholder" system like "Host: (Unknown Host)" - this is thanks to commit 3c374f149e079370537e5f514ef9b93746640de7 which fixed the page for this case.

Comment 14 errata-xmlrpc 2017-09-06 12:27:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2645


Note You need to log in before you can comment on or make changes to this bug.